Subject: Re: [Netconf] Please attend the IRS BoF

From: Benoit Claise <[email-masked]>
Date: Fri, 02 Nov 2012 20:03:04 -0400

Dear all,

Ok, "This BoF will/should be speaking about YANG for data modeling." is 
a poor choice of words.
Actually my shortcut. To me, this entire SDN story is about a config 
management issue, which in turn is a data modeling issue. And I see IRS 
as one part of SDN story.

So let me rephrase
OLD:
     This BoF will/should be speaking about YANG for data modeling.
NEW:
_    IMHO_, YANG SHOULD be a key piece of the IRS data modeling, and 
NETCONF MAY be.  So
     NETCONF/YANG experts, keep an eye on this initiative.

When I saw the first IRS draft from Tom Nadeau (in a flight right now, 
can't check the exact draft name), basically telling the NETCONF was not 
good enough ... I was a little bit worried

Now, I'm happier with the text in the current charter:

    5. An analysis of existing IETF and other protocols and encoding
    languages against the requirements.

    ...

    This BoF is to determine focus and support for work within the IETF

    to specify abstract data information models, specific data models,

    and protocols to operate the IRS. The BoF does not assume that new
    data modeling languages or protocols will be required - that decision

    is expected to form part of the analysis carried out by a working

    group if one is formed.

That takes care of my concerns. And, as an OPS AD, I will be carefully 
double-check that if NETCONF and/or YANG are not the right choices, this 
is for a very good reason, which doesn't solve the problem statement. 
And from there, I want to see if we could improve NETCONF/YANG

Another reason why I'm pushing the NETMOD participation in IRS is that 
we have this draft
draft-ietf-netmod-routing-cfg-05 
<http://datatracker.ietf.org/doc/draft-ietf-netmod-routing-cfg/> (A YANG 
Data Model for Routing Configuration), on which we need to get the IRS 
people feedback.
However, I agree with the approach (used cases, problem statement, 
architecture/framework), but we want anyway to get some feedback from 
the routing and IRS experts on this YANG module.

I hope it clarifies.

Regards, Benoit
>
> I shall be disappointed if this BoF talks about YANG for data modelling.
>
> The first draft of the charter posted on the IRS mailing list says:
>
> > The IRS working group works to develop a framework and
>
> > architecture that will enable specific use cases, and lead to
>
> > an understanding of the informational models and
>
> > requirements for encodings and protocols.
>
> ...and
>
> > The working group is chartered to work on the following items:
>
> >
>
> > 1. Architecture and framework for IRS including considerations of
>
> >policy and security
>
> >
>
> > 2. Tightly scoped key use cases for operational use of IRS. These
>
> >use cases will include at least:
>
> > - Interactions with the RIB
>
> > - Association of routing policies with routing state
>
> > - The ability to extract information about topology from the network.
>
> >Injection and creation of topology will not be considered as an initial
>
> >work item.
>
> > Other use cases may be adopted by the working group only after
>
> > milestones have been added to the charter page.
>
> >
>
> > 3. Abstract information models consistent with the use cases
>
> >
>
> > 4. Requirements for IRS protocols and encoding languages
>
> >
>
> > 5. An analysis of existing IETF and other protocols and encoding languages against the 
> requirements.
>
> ...and
>
> > The working group is not currently chartered to develop protocols,
>
> > encoding languages, or data models.
>
> What is more, the BoF description posted on the wiki and forming part 
> of the grant of the BoF says:
>
> >This BoF is to determine focus and support for work within the IETF
>
> >to specify abstract data information models, specific data models,
>
> >and protocols to operate the IRS. The BoF does not assume that new
>
> >data modeling languages or protocols will be required - that decision
>
> >is expected to form part of the analysis carried out by a working
>
> >group if one is formed.
>
> My disappointment if YANG is mentioned during the BoF will be because 
> it will demonstrate that people have not understood the need to 
> develop use cases and requirements *before* discussing whether 
> existing protocols and encoding languages are suitable for the task at 
> hand. It would be frankly as absurd to rule out Netconf as one of the 
> protocols used in IRS as it would be to demand that it is used because 
> we have currently no idea what function we are trying to provide. 
> Similarly, it would be wrong to rule YANG in or out at this stage.
>
> So, I hope the BoF will talk about use cases and WG charter, and not 
> about solution protocols and encoding languages.
>
> Nevertheless, I hope that we get lots of Ops clue in this meeting and 
> encourage you to come along.
>
> Thanks,
>
> Adrian
>
> *From:*Benoit Claise [mailto:[email-masked]]
> *Sent:* 30 October 2012 16:01
> *To:* NETMOD Working Group; NETCONF
> *Cc:* Adrian Farrel
> *Subject:* Please attend the IRS BoF
>
> Dear all,
>
> I encourage you all to attend the IRS BoF, 1740-1940 Afternoon Session 
> III
>
>
> 	
>
> Salon D <http://tools.ietf.org/agenda/85/venue/?room=salon-d>
>
> 	
>
> RTG
>
> 	
>
> irs
>
> 	
>
> Description: cid:[email-masked] to the 
> Routing System BOF
>
>
> This BoF will!should be speaking about YANG for data modeling.
> Unfortunately, no agenda yet at 
> https://datatracker.ietf.org/meeting/85/agenda.html
> The mailer is https://www.ietf.org/mailman/listinfo/irs-discuss
>
> Regards, Benoit.
>
>